/* eslint-disable react/require-default-props */
import { FC, InputHTMLAttributes } from 'react';
import { StyledInput, InputMessage } from './styled';

export interface Props extends InputHTMLAttributes<HTMLInputElement> {
  error?: string;
  success?: string;
  placeholderSize?: string;
  secondary?: boolean;
}

export const Input: FC<Props> = ({
  error,
  success,
  placeholderSize,
  secondary,
  ...props
}) => (
  <>
    <StyledInput
      {...props}
      placeholderSize={placeholderSize}
      error={error}
      success={success}
      secondary={secondary}
    />
    {!!error && <InputMessage type='error'>{error}</InputMessage>}
    {!!success && <InputMessage type='success'>{success}</InputMessage>}
  </>
);
export default Input;