/* eslint-disable react/require-default-props */
import { FC, TextareaHTMLAttributes } from 'react';
import { InputMessage, StyledTextArea } from './styled';

export interface Props extends TextareaHTMLAttributes<HTMLTextAreaElement> {
  error?: string;
  success?: string;
}

export const Textarea: FC<Props> = ({ error, success, ...props }) => (
  <>
    <StyledTextArea error={error} success={success} {...props} />
    {!!error && <InputMessage type='error'>{error}</InputMessage>}
    {!!success && <InputMessage type='success'>{success}</InputMessage>}
  </>
  
);

export default Textarea;