import styled from 'styled-components';

export const Icon = styled.span`
  & svg {
    stroke-width: 1.5px;
    transition: stroke-width 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);

    & circle {
      fill: ${({ theme }) => theme.colors.background.backgroundCard};
      transition: fill 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    }
    & path {
      transition: fill 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275),
        stroke 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    }

    &:hover {
      stroke-width: 0.5px;

      & circle {
        fill: ${({ theme }) => theme.colors.underline.primaryUnderline};
      }
      & path {
        fill: ${({ theme }) => theme.colors.button.buttonTypography};
        stroke: ${({ theme }) => theme.colors.underline.primaryUnderline};
      }
    }
  }
`;
