import { FC } from 'react';
import GreenTick from '../../svgc/icons/GreenTick';
import { ItemContainer, Text } from './styles';

export interface Props extends React.HTMLAttributes<HTMLElement> {
  text: string;
  fontSize: number;
}

export const TickWithText: FC<Props> = ({ text, fontSize, ...props }) => (
  <ItemContainer { ...props }>
    <GreenTick width={fontSize * 1.7}/>
    <Text fontSize={fontSize}>{text}</Text>
  </ItemContainer>
);

export default TickWithText;