import { FC } from 'react';
import { BackgroundTitle, CardContainer, Title } from './styled';

export interface Props extends React.HTMLAttributes<HTMLDivElement> {
  backgroundTitle: string;
  title: string;
}

export const TitlesOfSections: FC<Props> = ({ backgroundTitle, title, ...props }) => (
  <CardContainer {...props}>
    <BackgroundTitle>{backgroundTitle}</BackgroundTitle>
    <Title>{title}</Title>
  </CardContainer>
);

export default TitlesOfSections;