import styled from 'styled-components';

export const CardContainer = styled.section`
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 100%;
  font-family: ${({ theme }) => theme.fonts.secondary};
`;

export const BackgroundTitle = styled.h2`
  text-align: center;
  font-size: 42px;
  font-weight: 100;
  line-height: 105px;
  color: ${({ theme }) => theme.colors.typography.alphaTypography};

  @media screen and (min-width: 520px) {
    font-size: 70px;
    line-height: 170px;
  }

  @media screen and (min-width: 768px) {
    font-size: 100px;
    line-height: 200px;
  }
  @media screen and (min-width: 1000px) {
    font-size: 140px;
    line-height: 270px;
  }
  @media screen and (min-width: 1268px) {
    font-size: 180px;
    line-height: 270px;
  }
`;

export const Title = styled.p`
  position: absolute;
  text-align: center;
  width: 100%;

  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  font-size: 25px;

  font-weight: 700;
  line-height: 29px;

  @media screen and (min-width: 950px) {
    font-size: 35px;
    line-height: 41px;
  }
`;
