import { FC } from "react";
import { StyledUnderlineButton } from "./styled"

export interface Props extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    /**
        * This is a boolean attribute that swaps between active and inactive button.
     */
    isActive?: boolean;
}

export const UnderlineButton: FC<Props> = ({ isActive, ...props }) => {
    return (
        <StyledUnderlineButton isActive={isActive} { ...props }>

        </StyledUnderlineButton>
    )
}

export default UnderlineButton;