import styled from "styled-components";

export const StyledUnderlineButton = styled.button<{ isActive?: boolean }>`
    padding: 10px 30px;
    border: none;

    font-size: 16px;
    font-weight: ${({ isActive }) => (isActive ? '600' : '500')};
    font-family: ${({ theme }) => theme.fonts.secondary};
    color: ${({ theme }) => theme.colors.typography.primaryTypography};
    line-height: 19px;
    background: none;
    cursor: pointer;

    &::after {
        content: '';
        display: block;
        margin: 0 auto;
        width: 40%;
        height: 1px;
        transform: translateY(4px);
        background-color: ${({ theme, isActive }) => isActive ? theme.colors.underline.secondaryUnderline : 'transparent'};
    }
`;