import styled from "styled-components";

export const StyledUnderlineHeading = styled.h3`
    position: relative;
    display: inline-block;
    font-size: 22px;
    font-weight: 600;
    font-family: ${({ theme }) => theme.fonts.secondary};
    color: ${({ theme }) => theme.colors.typography.primaryTypography};
    line-height: 19px;

    &::after {
        content: '';
        display: block;
        position: absolute;
        margin: 0 auto;
        left: 0;
        right: 0;
        width: 50%;
        height: 2px;
        transform: translateY(6px);
        background-color: ${({ theme }) => theme.colors.underline.primaryUnderline};
    }

    @media screen and (min-width: 768px) {
        font-size: 25px;
    }
`;