import { FC, MouseEventHandler } from 'react';
import { AssociateIcon } from '../../svgc/';
import {
  CardContainer,
  ContentContainer,
  Title,
  Content,
  AssociationButton
} from './styled';

export interface Props extends React.HTMLAttributes<HTMLElement>{
  title: string;
  text: string;
  buttonValue?: string;
  btnOnClick: MouseEventHandler<HTMLButtonElement> | undefined;
}
export const AssociationCard: FC<Props> = ({ title, text, btnOnClick, buttonValue, ...props }) => (
  <CardContainer { ...props } >
    <AssociateIcon />
    <ContentContainer>
      <Title>{title}</Title>
      <Content>{text}</Content>
      <AssociationButton secondary onClick={btnOnClick}>
        { buttonValue || 'Más información' }
      </AssociationButton>
    </ContentContainer>
  </CardContainer>
);

export default AssociationCard;