import styled from 'styled-components';
import { Button } from '../../atoms';

export const CardContainer = styled.article`
  display: flex;
  flex-wrap: nowrap;
  width: 100%;
  max-width: 550px;
  padding: 4px 10px 4px 24px;

  svg {
    width: 50px;
  }
`;

export const ContentContainer = styled.div`
  margin-left: 12px;
`;

export const Title = styled.h3`
  margin-bottom: 10px;
  font-size: 22px;
  font-weight: 700;
  line-height: 26px;
  font-family: ${({ theme }) => theme.fonts.secondary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  @media screen and (min-width: 768px) {
    margin-bottom: 10px;
    font-size: 25px;
    line-height: 29px;
  }
`;

export const Content = styled.p`
  margin-bottom: 12px;
  font-size: 16px;
  font-weight: 300;
  line-height: 28px;
  font-family: ${({ theme }) => theme.fonts.primary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  @media screen and (min-width: 768px) {
    margin-bottom: 10px;
    font-size: 18px;
    line-height: 30px;
  }
`;

export const AssociationButton = styled(Button)`
  padding: 7px 31px;
`;
