import styled from 'styled-components';
import { Button } from '../../atoms';

export const CardContainer = styled.article`
  display: flex;
  width: 100%;
  border-radius: 40px;

  background-color: ${({ theme }) => theme.colors.background.backgroundCard};
  box-shadow: ${({ theme }) => theme.boxShadow.shadowCards};
`;

export const Img = styled.img`
  display: flex;
  /* width: 603px; */
  height: 533px;
  border-radius: 40px;
`;

export const CardBody = styled.div`
  position: relative;
  padding: 30px 45px 20px 65px;
`;

export const Title = styled.h3`
  margin-bottom: 20px;

  font-family: ${({ theme }) => theme.fonts.secondary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};
  font-size: 30px;
  font-weight: 700;
  line-height: 35px;
`;

export const TimeContainer = styled.div`
  display: flex;
  margin-bottom: 41px;
  font-size: 16px;
  color: ${({ theme }) => theme.colors.typography.secondaryTypography};
`;

export const Time = styled.div`
  display: flex;
  align-items: center;
  margin-right: 27px;
  font-size: 16px;
  font-family: ${({ theme }) => theme.fonts.primary};

  & time {
    margin-left: 8px;
  }
`;

export const Content = styled.div`
  margin-bottom: 40px;
  font-size: 18px;
  font-weight: 300;
  font-family: ${({ theme }) => theme.fonts.primary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  & p {
    margin-bottom: 12.5px;
    line-height: 30px;
  }
`;

export const ContainerButtons = styled.div`
  position: absolute;
  bottom: 4%;
  display: flex;
  justify-content: start;
  align-items: center;
`;

export const BlogButton = styled(Button)`
  padding: 7px 49px;
  margin-right: 20px;
`;

export const Share = styled.div`
  display: flex;
  gap: 10px;
`;
