import { FC } from 'react';
import { ServicesIcon } from '../../svgc/';
import { TickWithText } from '../../atoms';
import { CardContainer, TitleContainer, Title, List, Item } from './styled';

export interface Props extends React.HTMLAttributes<HTMLElement> {
  title: string;
  details: string[];
  icon: string;
}

export const CardOurServices: FC<Props> = ({ title, details, icon, ...props }) => (
  <CardContainer { ...props }>
    <TitleContainer>
      {
        icon ? <img src={icon} alt={title} /> : <ServicesIcon />
      }
      <Title>{title}</Title>
    </TitleContainer>
    <List>
      {details.map((detail) => (
        <Item key={detail}>
          <TickWithText text={detail} fontSize={16} />
        </Item>
      ))}
    </List>
  </CardContainer>
);

export default CardOurServices;