import styled from 'styled-components';

export const CardContainer = styled.article`
  width: 100%;
  height: 100%;
  max-width: 390px;
  padding: 35px 44px 28px;
  border-radius: 30px;

  background-color: ${({ theme }) => theme.colors.background.backgroundCard};
  box-shadow: ${({ theme }) => theme.boxShadow.shadowCards};

  @media screen and (min-width: 768px) {
    padding: 35px 54px 36px;
  }
`;
export const TitleContainer = styled.div`
  display: flex;
  align-items: flex-start;
  margin-bottom: 12px;

  font-size: 20px;
  font-weight: 700;
  line-height: 30px;
  font-family: ${({ theme }) => theme.fonts.secondary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  img {
    margin-right: 16px;
  }

  @media screen and (min-width: 768px) {
    margin-bottom: 18px;
    font-size: 22px;
    line-height: 33px;

    & svg {
      width: 48px;
    }
  }
`;
export const Title = styled.p`
  font-family: ${({ theme }) => theme.fonts.secondary};
  margin-left: 6px;
`;
export const List = styled.ul`
  list-style: none;

  @media screen and (min-width: 768px) {
    margin-left: 12px;
  }
`;
export const Item = styled.li`
  margin-bottom: 7.2px;
  line-height: 18.75px;
`;
