import { FC } from 'react';
import { CardContainer, Img, CardBody, Title, Content } from './styled';

export interface Props extends React.HTMLAttributes<HTMLElement> {
  image: string;
  title: string;
  text: string;
}

export const DifferentiationCard: FC<Props> = ({ image, title, text, ...props }) => {
  return (
    <CardContainer { ...props }>
      <Img src={image} alt={title} />
      <CardBody>
        <Title>{title}</Title>
        <Content>{text}</Content>
      </CardBody>
    </CardContainer>
  );
};

export default DifferentiationCard;