import styled from 'styled-components';

export const CardContainer = styled.article`
  width: 100%;
  max-width: 520px;
  padding: 15px 29px 48px;
  border-radius: 40px;

  background-color: ${({ theme }) => theme.colors.background.backgroundCard};
  box-shadow: ${({ theme }) => theme.boxShadow.shadowCards};
`;

export const Img = styled.img`
  margin-bottom: -6px;
  height: 98px;

  @media screen and (min-width: 768px) {
    width: 117px;
    margin-bottom: -10px;
  }
`;

export const CardBody = styled.div`
  margin: 0;

  @media screen and (min-width: 768px) {
    padding: 0 8px 26px 31px;
  }
`;

export const Title = styled.h3`
  margin-bottom: 10px;
  font-family: ${({ theme }) => theme.fonts.secondary};
  font-size: 25px;
  font-weight: 700;
  line-height: 30px;
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  @media screen and (min-width: 768px) {
    margin-bottom: 16px;
    font-size: 25px;
    line-height: 37.5px;
  }
`;

export const Content = styled.p`
  margin-bottom: 14px;
  font-size: 16px;
  font-weight: 300;
  line-height: 27px;
  color: ${({ theme }) => theme.colors.typography.primaryTypography};
  font-family: ${({ theme }) => theme.fonts.primary};

  @media screen and (min-width: 768px) {
    margin-bottom: 8px;
    font-size: 18px;
    line-height: 26px;
  }
`;
