import { FC, useState } from 'react';
import { UpArrowIcon } from '../../svgc';
import {
  CardContainer,
  List,
  ContainerQuestion,
  Question,
  ButtonQuestion,
  Answer
} from './styled';

export interface Props {
  questions: Questions[];
}
export interface Questions extends React.HTMLAttributes<HTMLElement> {
  name: string;
  content: string;
}

export const DropdownFQA: FC<Props> = ({ questions, ...props }) => {
  const [active, setActive] = useState<string>('');

  const handleClick = (question: string) => {
    if (active === question) setActive('');
    else setActive(question);
  };
  return (
    <CardContainer { ...props }>
      <List>
        {questions.map(({ name, content }) => (
          <li key={name}>
            <ContainerQuestion onClick={() => handleClick(name)}>
              <Question>{name}</Question>
              <ButtonQuestion type='button' isOpen={active === name}>
                <UpArrowIcon />
              </ButtonQuestion>
            </ContainerQuestion>
            <Answer isOpen={active === name}>{content}</Answer>
          </li>
        ))}
      </List>
    </CardContainer>
  );
};

export default DropdownFQA;