import { FC, MouseEventHandler } from 'react';
import { CardContainer, Vacant, TitleContainer, VacantButton } from './styled';
import logo from '../../../stories/assets/upway.svg';

export interface Props extends React.HTMLAttributes<HTMLElement> {
    image?: string;
    position: string;
    btnValue: string;
    btnOnClick?: MouseEventHandler<HTMLButtonElement> | undefined;
}

export const HeadingVacancyCard: FC<Props> = ({
    image,
    position,
    btnValue,
    btnOnClick,
    ...props
}) => (
    <CardContainer { ...props }>
        <TitleContainer>
            <img src={image || logo} alt={position} />
        <Vacant>
            {position}
        </Vacant>
        </TitleContainer>
        <VacantButton width={100} weight={500} onClick={btnOnClick}>
            { btnValue || 'Postularse'}
        </VacantButton>
    </CardContainer>
);

export default HeadingVacancyCard;