import styled from 'styled-components';
import { Button } from '../../atoms/';

export const CardContainer = styled.article`
    display: flex;
    flex-direction: column;
    align-items: center;

    width: 100%;
    max-width: 1280px;
    padding: 21px 20px 14px;
    border-radius: 30px;

    background-color: ${({ theme }) => theme.colors.background.backgroundCard};
    box-shadow: ${({ theme }) => theme.boxShadow.shadowCards};

    @media screen and (min-width: 768px) {
        flex-direction: row;
        justify-content: space-between;
        padding: 26px 30px;

        & img {
        width: 60px;
        }
    }
`;

export const TitleContainer = styled.div`
    display: flex;
    align-items: center;
    margin-bottom: 24px;

    @media screen and (min-width: 768px) {
        margin: 0;
    }
`;

export const Vacant = styled.h3`
    margin-left: 12px;
    font-family: ${({ theme }) => theme.fonts.secondary};
    color: ${({ theme }) => theme.colors.typography.primaryTypography};
    font-size: 20px;
    font-weight: 700;
    line-height: 23.5px;

    @media screen and (min-width: 768px) {
        margin-left: 28px;
    }
`;

export const VacantButton = styled(Button)`
    margin: 0;
    padding-top: 10px;
    padding-bottom: 10px;

    @media screen and (min-width: 768px) {
        width: 217px;
    }
`;
