import styled from 'styled-components';
import { Button } from '../../atoms/';

export const CardContainer = styled.article`
  display: flex;
  max-width: 1278px;
  border-radius: 40px ;
  background-color: ${({ theme }) => theme.colors.background.backgroundCard};
`;

export const Img = styled.img`
  display: block;
  width: 479px;
  height: 380px;
  border-radius: 40px;
  margin-right: 47px;
  cursor: pointer;
`;

export const CardBody = styled.div`
  position: relative;
`;

export const Title = styled.h3`
  margin-bottom: 14px;
  font-family: ${({ theme }) => theme.fonts.secondary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};
  font-size: 30px;
  font-weight: 700;
  line-height: 35px;
`;

export const TimeContainer = styled.div`
  display: flex;
  margin-bottom: 33px;
  font-size: 16px;
  color: ${({ theme }) => theme.colors.typography.secondaryTypography};
`;

export const Time = styled.div`
  display: flex;
  align-items: center;
  margin-right: 27px;
  font-size: 16px;
  font-family: ${({ theme }) => theme.fonts.primary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  & time {
    margin-left: 8px;
  }
`;

export const Content = styled.p`
  width: 745px;
  font-size: 18px;
  font-weight: 300;
  line-height: 30px;
  font-family: ${({ theme }) => theme.fonts.primary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};
`;

export const ContainerButtons = styled.div`
  position: absolute;
  bottom: 0;
  display: flex;
  justify-content: start;
  align-items: center;
`;

export const BlogButton = styled(Button)`
  padding: 8px 49px;
  /* margin-bottom: 0; */
  margin-right: 20px;
`;

export const Share = styled.div`
  display: flex;
  gap: 10px;
`;
