import styled from 'styled-components';
import { Button } from '../../atoms/';

export const CardContainer = styled.article`
  width: 100%;
  max-width: 458px;
  height: auto;
  padding: 30px 28px 20px;
  border-radius: 30px;
  background-color: ${({ theme }) => theme.colors.background.backgroundCard};
  box-shadow: ${({ theme }) => theme.boxShadow.shadowCards};

  @media screen and (min-width: 768px) {
    padding: 24px 48px;
  }
`;

export const Title = styled.h3`
  text-align: center;
  margin-bottom: 21px;
  font-family: 'Raleway', sans-serif;
  font-size: 22px;
  font-weight: 700;
  line-height: 26px;
  color: ${({ theme }) => theme.colors.typography.primaryTypography};
  font-family: ${({ theme }) => theme.fonts.secondary};

  @media screen and (min-width: 768px) {
    margin-bottom: 30px;
    font-size: 25px;
    line-height: 29px;
  }
`;

export const Position = styled.p`
  margin-bottom: -0.5px;
  font-size: 18px;
  font-weight: 400;
  line-height: 30px;
  color: ${({ theme }) => theme.colors.typography.primaryTypography};
  font-family: ${({ theme }) => theme.fonts.primary};
`;
export const Location = styled.p`
  margin-bottom: 18px;
  font-size: 16px;
  font-weight: 300;
  line-height: 30px;
  color: ${({ theme }) => theme.colors.typography.filterTypography};
  font-family: ${({ theme }) => theme.fonts.primary};
`;

export const CenterButton = styled.div`
  text-align: center;
`;

export const OtherVacanciesButton = styled(Button)`
  padding: 8px;

  @media screen and (min-width: 768px) {
    margin: 9px 70px;
    padding: 6px;
    width: 220px;
  }
`;
