import { FC } from 'react';
import { CardContainer, Description, Title } from './styled';

export interface Props extends React.HTMLAttributes<HTMLElement>{
  img: string;
  title: string;
}

export const ProjectCard: FC<Props> = ({ img, title, ...props }) => (
  <CardContainer img={img} { ...props }>
    <Description>
      <Title>{title}</Title>
    </Description>
  </CardContainer>
);

export default ProjectCard;