import styled from 'styled-components';

export const CardContainer = styled.article<{ img: string }>`
  width: 100%;
  height: 264px;
  @media screen and (min-width: 768px) {
    width: 50%;
    height: 498px;
  }

  background: ${({ img }) => `center / cover no-repeat url('${img}')`};
`;

export const Description = styled.div`
  height: 100%;
  padding: 24px 36px;
  opacity: 0;
  transition: all ease-in-out 0.5s;

  &:hover {
    background-color: ${({ theme }) => theme.title === 'DARK' ? 'rgba(0, 0, 0, 0.5)' : 'rgba(245, 245, 245, 0.3)'};
    opacity: 1;
  }
`;

export const Title = styled.h3`
  position: relative;
  top: 96%;
  text-align: center;
  margin-bottom: 12px;

  font-size: 20px;
  font-weight: 700;
  font-family: ${({ theme }) => theme.fonts.primary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  @media screen and (min-width: 768px) {
    font-size: 30px;
  }
`;