import { FC } from 'react';
import { SocialNetworkButton } from '../../atoms';
import { Socials } from '../teamCard/TeamCard';
import { CardContainer, Title, Social } from './styled';

export interface Props {
  title: string;
  social: Socials[];
}

export const ShareCard: FC<Props> = ({ title, social }) => (
  <CardContainer>
    <Title>{title}</Title>
    <Social>
      {social.map((socials) => (
        <SocialNetworkButton
          key={socials.name}
          socialNetwork={socials.name}
          to={socials.to}
          size={socials.size || 45}
        />
      ))}
    </Social>
  </CardContainer>
);

export default ShareCard;