import styled from 'styled-components';

export const CardContainer = styled.article`
  text-align: center;
  width: 100%;
  max-width: 458px;
  padding: 23px 44px 31px;
  border-radius: 30px;

  font-family: ${({ theme }) => theme.fonts.primary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  background-color: ${({ theme }) => theme.colors.background.backgroundCard};
  box-shadow: ${({ theme }) => theme.boxShadow.shadowCards};
`;

export const Title = styled.h3`
  margin-bottom: 21px;

  font-family: ${({ theme }) => theme.fonts.secondary};
  font-size: 18px;
  font-weight: 700;
  line-height: 21px;

  @media screen and (min-width: 768px) {
    margin-bottom: 30px;
    font-size: 25px;
    line-height: 29px;
  }
`;

export const Social = styled.ul`
  display: flex;
  justify-content: space-between;
  list-style: none;

  & svg {
    @media screen and (min-width: 768px) {
      width: 50px;
    }
  }
`;
