import styled from 'styled-components';

export const CardContainer = styled.article`
  width: 100%;
  max-width: 406px;
  height: auto;
  border-radius: 40px;

  background-color: ${({ theme }) => theme.colors.background.backgroundCard};
  box-shadow: ${({ theme }) => theme.boxShadow.shadowCards};

  @media screen and (min-width: 768px) {
    height: auto;
  }
`;

export const Img = styled.img`
  display: block;
  width: 100%;
  object-fit: cover;
  margin-bottom: 2px;
  cursor: pointer;
  border-radius: 40px 40px 0 0;

  @media screen and (min-width: 768px) {
    margin-bottom: -1px;
  }
`;

export const CardBody = styled.div`
  padding: 18px 20px 26px 22px;
  @media screen and (min-width: 768px) {
    padding: 19px 8px 26px 31px;
  }
`;

export const Title = styled.h3`
  margin-bottom: 5px;
  font-family: ${({ theme }) => theme.fonts.secondary};
  font-size: 20px;
  font-weight: 700;
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  @media screen and (min-width: 768px) {
    margin-bottom: 10.5px;
    font-size: 24px;
  }
`;

export const TimeContainer = styled.div`
  display: flex;
  margin-bottom: 19px;
  font-size: 14px;
  color: ${({ theme }) => theme.colors.typography.secondaryTypography};

  @media screen and (min-width: 768px) {
    margin-bottom: 20px;
  }
`;

export const Time = styled.div`
  display: flex;
  align-items: center;
  margin-right: 27px;
  font-family: ${({ theme }) => theme.fonts.primary};

  img, svg {
    width: 17px;
    margin-right: 6px;
  }
`;

export const Content = styled.p`
  margin-bottom: 14px;
  font-size: 16px;
  font-weight: 300;
  line-height: 25px;
  color: ${({ theme }) => theme.colors.typography.primaryTypography};
  font-family: ${({ theme }) => theme.fonts.primary};

  @media screen and (min-width: 768px) {
    margin-bottom: 8px;
  }
`;

export const Tag = styled.span`
  margin-right: 4px;
  font-size: 14px;
  font-weight: 300;
  color: ${({ theme }) => theme.colors.typography.secondaryTypography};
  font-family: ${({ theme }) => theme.fonts.primary};
`;
