import styled from 'styled-components';

export const CardContainer = styled.article<{ rol: string }>`
  text-align: center;
  width: 100%;
  max-width: 595px;
  padding-bottom: 30px;
  border-radius: 40px;

  background-color: ${({ theme }) => theme.colors.background.backgroundCard};
  box-shadow: ${({ theme }) => theme.boxShadow.shadowCards};

  &::before {
    content: '${({ rol }) => rol}';
    position: relative;
    top: -25px;

    font-family: ${({ theme }) => theme.fonts.secondary};
    font-size: 34px;
    font-weight: 600;
    line-height: 51px;
    -webkit-text-stroke: 1px ${({ theme }) => theme.colors.typography.alphaTypography};
    color: ${({ theme }) => theme.colors.background.backgroundCard};

    @media screen and (min-width: 768px) {
      top: -50px;
      font-size: 68px;
      line-height: 102px;
    }
  }
  @media screen and (min-width: 768px) {
    padding-bottom: 52px;
  }
`;

export const Img = styled.img`
  display: block;
  margin: 0 auto 17px;
  border-radius: 50%;
  max-width: 90px;
  object-fit: cover;

  @media screen and (min-width: 768px) {
    margin-top: -28px;
    margin-bottom: 20px;
  }
`;

export const Title = styled.h3`
  margin-bottom: 8px;

  font-family: ${({ theme }) => theme.fonts.secondary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};
  font-size: 18px;
  font-weight: 600;
  line-height: 27px;

  @media screen and (min-width: 768px) {
    margin-bottom: -1px;
    font-size: 25px;
    line-height: 37.5px;
  }
`;

export const Content = styled.p`
  margin-bottom: 33px;
  font-size: 16px;
  font-weight: 300;
  line-height: 24px;
  font-family: ${({ theme }) => theme.fonts.primary};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  @media screen and (min-width: 768px) {
    margin-bottom: 28px;
    font-size: 20px;
    line-height: 30px;
  }
`;

export const Social = styled.section`
  display: flex;
  justify-content: center;
  gap: 20px;
`;
