import { FC } from 'react';
import { CardContainer, Img, Title, Blockquote, Stars } from './styled';
import { Star } from '../../svgc/';

export interface Props extends React.HTMLAttributes<HTMLElement> {
  quotes?: string;
  name: string;
  photo: string;
  text: string;
}

export const TestimonialCard: FC<Props> = ({ quotes, name, photo, text, ...props }) => (
  <CardContainer quotes={quotes} { ...props }>
    <Img src={photo} alt={`foto de ${name}`} />
    <Title>{name}</Title>
    <Stars>
      <Star />
      <Star />
      <Star />
      <Star />
      <Star />
    </Stars>
    <Blockquote>{text}</Blockquote>
  </CardContainer>
);

export default TestimonialCard;