import styled from 'styled-components';
import { Button } from '../../atoms/button/Button';

export const CardContainer = styled.article`
  width: 100%;
  max-width: 359px;
  height: 240px;
  padding: 27px 29px 33px;
  border-radius: 40px;

  background-color: ${({ theme }) => theme.colors.background.backgroundCard};
  box-shadow: ${({ theme }) => theme.boxShadow.shadowCards};

  @media screen and (min-width: 768px) {
    height: 277px;
    padding: 35px 29px 20px;
  }
`;

export const Title = styled.h3`
  margin-bottom: 21px;
  font-family: 'Raleway', sans-serif;
  font-size: 22px;
  font-weight: 700;
  line-height: 33px;
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  @media screen and (min-width: 768px) {
    font-size: 24px;
    line-height: 36px;
  }
`;

export const Paragraph = styled.p`
  margin-bottom: 10px;
  font-family: 'Raleway', sans-serif;
  font-size: 16px;
  font-weight: 600;
  line-height: 24px;
  color: ${({ theme }) => theme.colors.typography.primaryTypography};

  & span {
    font-weight: 400;
  }

  @media screen and (min-width: 768px) {
    margin-bottom: 14px;
    font-size: 18px;
    line-height: 26px;
  }
`;

export const VacanciesButton = styled(Button)`
  margin-top: 28px;
  padding: 7px;

  @media screen and (min-width: 768px) {
    margin-top: 32px;
  }
`;
