import { FC } from 'react';
import { CardContainer, Img, Content } from './styled';

export interface Props {
    image: string;
    content: string[];
}

export const HowWeWork: FC<Props> = ({ image, content }) => (
    <CardContainer>
        <Img
        src={ image || './assets/how-we-work/how-we-work.svg' }
        alt='imagen descriptiva de como trabajamos'
        />
        <Content>
            {
                content.map((cont) => (
                    <p key={cont}>{cont}</p>
                ))
            }
        </Content>
    </CardContainer>
);

export default HowWeWork;