import styled from 'styled-components';

export const CardContainer = styled.section`
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    max-width: 1280px;
    margin: 0 auto;
`;

export const Img = styled.img`
    width: 300px;
    margin: 0 auto 40px;

    @media screen and (min-width: 379px) {
        width: 340px;
    }
    @media screen and (min-width: 1100px) {
        width: 480px;
        margin: 0;
    }
    @media screen and (min-width: 1360px) {
        width: 545px;
        margin: 0;
    }
`;

export const Content = styled.div`
    max-width: 603px;
    font-size: 16px;
    font-weight: 300;
    line-height: 30px;
    margin: 0 auto;
    padding-top: 28px;
    color: ${({ theme }) => theme.colors.typography.primaryTypography};
    font-family: ${({ theme }) => theme.fonts.primary};

    @media screen and (min-width: 1180px) {
        margin: 0;
        line-height: 28px;

        & p {
        margin-bottom: 20px;
        }
    }
`;
