import { ComponentStory, ComponentMeta } from '@storybook/react';
import { ArrowButton } from '../../core/atoms/';


export default {
    title: 'Atoms/ArrowButton',
    component: ArrowButton,
    argTypes: {
        size: { 
            control: 'number' , defaultValue: 20, type: { name: 'number', required: false },
            table: { defaultValue: { summary: 20 } },
            description: 'This is the size of the font.'
        },
        secondary: { 
            control: 'boolean', defaultValue: false, type: { name: 'boolean', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a boolean attribute that swaps between primary and secondary button.'
        }
    },
} as ComponentMeta<typeof ArrowButton>;

const Template: ComponentStory<typeof ArrowButton> = (args) => <ArrowButton {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    size: 45
};

export const Secondary = Template.bind({});
Secondary.args = {
    size: 45,
    secondary: true
};

