import { ComponentStory, ComponentMeta } from '@storybook/react';
import { SocialNetworkButton } from '../../core/atoms';
import { SocialNetwork } from '../../core/atoms/socialNetworkButton/SocialNetworkButton'

export default {
    title: 'Atoms/SocialNetworkButton',
    component: SocialNetworkButton,
    argTypes: {
        socialNetwork: { 
            control: 'text', type: { name: 'string', required: true },
            table: {  defaultValue: { summary: 'string' } },
            description: 'This is the icon that will display the component.'
        },
        to: { 
            control: 'text', type: { name: 'string', required: false },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the route to which you are going to redirect the component.'
        },
        size: { 
            control: 'number', type: { name: 'number', required: true },
            table: { defaultValue: { summary: 'number' } },
            description: 'This is the component size.'
        }
    },
} as ComponentMeta<typeof SocialNetworkButton>;

const Template: ComponentStory<typeof SocialNetworkButton> = (args) => <SocialNetworkButton {...args}/>;

export const Linkedin = Template.bind({});
Linkedin.args = {
    socialNetwork: SocialNetwork.linkedin,
    to: 'https://www.linkedin.com/in/diego-javier-conchillo-wagner-123950118/',
    size: 40
};

export const Instagram = Template.bind({});
Instagram.args = {
    socialNetwork: SocialNetwork.instagram,
    size: 40
};

export const Facebook = Template.bind({});
Facebook.args = {
    socialNetwork: SocialNetwork.facebook,
    size: 40
};

export const Telegam = Template.bind({});
Telegam.args = {
    socialNetwork: SocialNetwork.telegram,
    size: 40
};

export const Tiktok = Template.bind({});
Tiktok.args = {
    socialNetwork: SocialNetwork.tiktok,
    size: 40
};

export const Twitch = Template.bind({});
Twitch.args = {
    socialNetwork: SocialNetwork.twitch,
    size: 40
};

export const Twitter = Template.bind({});
Twitter.args = {
    socialNetwork: SocialNetwork.twitter,
    size: 40
};

export const Youtube = Template.bind({});
Youtube.args = {
    socialNetwork: SocialNetwork.youtube,
    size: 40
};

export const Pinterest = Template.bind({});
Pinterest.args = {
    socialNetwork: SocialNetwork.pinterest,
    size: 40
}
export const Github = Template.bind({});
Github.args = {
    socialNetwork: SocialNetwork.github,
    size: 40
}
export const Behance = Template.bind({});
Behance.args = {
    socialNetwork: SocialNetwork.behance,
    size: 40
}
export const Web = Template.bind({});
Web.args = {
    socialNetwork: SocialNetwork.web,
    size: 40
}