import { ComponentStory, ComponentMeta } from '@storybook/react';
import { TickWithText } from '../../core/atoms/';


export default {
    title: 'Atoms/TickWithText',
    component: TickWithText,
    argTypes: {
        text: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text next to the tick.'
        },
        fontSize: { 
            control: 'number', type: { name: 'number', required: true },
            table: { defaultValue: { summary: 'number' } },
            description: 'This is the size of the font.'
        },
    },
} as ComponentMeta<typeof TickWithText>;

const Template: ComponentStory<typeof TickWithText> = (args) => <TickWithText {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    text: 'Todo lo del Starter, más',
    fontSize: 20
};