import { ComponentStory, ComponentMeta } from '@storybook/react';
import UnderlineButton from '../../core/atoms/underlineButton/UnderlineButton';


export default {
    title: 'Atoms/UnderlineButton',
    component: UnderlineButton,
    argTypes: {
        isActive: { 
            control: 'boolean', defaultValue: false, type: { name: 'boolean', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a boolean attribute that toggles between active or inactive button.'
        }
    },
} as ComponentMeta<typeof UnderlineButton>;

const Template: ComponentStory<typeof UnderlineButton> = (args) => <UnderlineButton {...args}>I am a UnderlineButton</UnderlineButton>;

export const Active = Template.bind({});
Active.args = {
    isActive: true
};

export const Inactive = Template.bind({});
Inactive.args = {
    isActive: false
};

