import { ComponentStory, ComponentMeta } from '@storybook/react';
import { Input } from '../../../core/atoms';



export default {
    title: 'Atoms/Forms/Input',
    component: Input,
    argTypes: {
        placeholderSize: { 
            control: 'text' , defaultValue: 16, type: { name: 'string', required: false },
            table: { defaultValue: { summary: 16 } },
            description: 'This is the size of the font.'
        },
        error: { 
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the error effect on or off.'
        },
        success: { 
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the success effect on or off.'
        },
        secondary: {
            description: 'This is a boolean attribute that turns the search icon on or off.'
        }
    },
} as ComponentMeta<typeof Input>;

const Template: ComponentStory<typeof Input> = (args) => <Input {...args}/>;

export const Standard = Template.bind({});
Standard.args = {
    placeholderSize: '16',
    placeholder: 'suEmail@gmail.com'
};

export const isError = Template.bind({});
isError.args = {
    placeholderSize: '16',
    error: 'No es un formato valido',
    placeholder: 'suEmail@gmail.com'
};

export const isSuccess = Template.bind({});
isSuccess.args = {
    placeholderSize: '16',
    success: 'enviado correctamente',
    placeholder: 'suEmail@gmail.com'
};

export const search = Template.bind({});
search.args = {
    type: 'search',
    placeholderSize: '16',
    secondary: true,
    placeholder: 'suEmail@gmail.com'
};

