import { ComponentStory, ComponentMeta } from '@storybook/react';
import { InputPhone } from '../../../core/atoms';
import countries from './data/prefix-numbers-of-countries.json'


export default {
    title: 'Atoms/Forms/InputPhone',
    component: InputPhone,
    argTypes: {
        error: { 
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the error effect on or off.'
        },
        success: { 
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the success effect on or off.'
        },
        // secondary: {
        //     description: 'This is a boolean attribute that turns the search icon on or off.'
        // },
        name: {
            description: 'This is a string name of the Select'
        },
        placeholder: {
            description: 'This is a first title of the Select'
        },
        countries: {
            description: 'This is the list of countries.'
        },
        getPrefix: { description: 'This is the getter prefix code.'}
    },
} as ComponentMeta<typeof InputPhone>;

const Template: ComponentStory<typeof InputPhone> = (args) => <InputPhone {...args}/>;

export const Standard = Template.bind({});
Standard.args = {
    placeholder: '44559999',
    countries: countries
};

export const isError = Template.bind({});
isError.args = {
    error: 'Error',
    placeholder: '44559999',
    countries: countries
};

export const isSuccess = Template.bind({});
isSuccess.args = {
    success: 'Success',
    placeholder: '44559999',
    countries: countries
};

