import { ComponentStory, ComponentMeta } from '@storybook/react';
import { SelectList } from '../../../core/atoms';


export default {
    title: 'Atoms/Forms/SelectList',
    component: SelectList,
    argTypes: {
        error: { 
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the error effect on or off.'
        },
        success: { 
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the success effect on or off.'
        },
        secondary: {
            description: 'This is a boolean attribute that turns the search icon on or off.'
        },
        name: {
            description: 'This is a string name of the Select'
        },
        placeholder: {
            description: 'This is a first title of the Select'
        },
        categories:  { description: 'Option categories.'}
    },
} as ComponentMeta<typeof SelectList>;

const Template: ComponentStory<typeof SelectList> = (args) => <SelectList {...args}/>;

export const Standard = Template.bind({});
Standard.args = {
    placeholder: 'Elegir categoria',
    categories: ['Desarrollo','Marketing','Seo']
    // countries: countries
};

export const isError = Template.bind({});
isError.args = {
    error: 'Error',
    placeholder: 'Elegir categoria',
    categories: ['Desarrollo','Marketing','Seo']
};

export const isSuccess = Template.bind({});
isSuccess.args = {
    success: 'Success',
    placeholder: 'Select category',
    categories: ['Desarrollo','Marketing','Seo']
    // countries: countries
};

export const secondary = Template.bind({});
secondary.args = {
    placeholder: 'Select category',
    categories: ['Desarrollo','Marketing','Seo'],
    secondary: true
};
