import { ComponentStory, ComponentMeta } from '@storybook/react';
import { SelectListWCheckbox } from '../../../core/atoms';


export default {
    title: 'Atoms/Forms/SelectListWCheckbox',
    component: SelectListWCheckbox,
    argTypes: {
        error: { 
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the error effect on or off.'
        },
        success: { 
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the success effect on or off.'
        },
        name: {
            description: 'This is a string name of the Select'
        },
        placeholder: {
            description: 'This is a first title of the Select'
        },
        categories:  { description: 'Option categories.'}
    },
} as ComponentMeta<typeof SelectListWCheckbox>;

const Template: ComponentStory<typeof SelectListWCheckbox> = (args) => <SelectListWCheckbox {...args}/>;

export const Standard = Template.bind({});
Standard.args = {
    placeholder: 'Elegir categoria',
    categories: ['Desarrollo','Marketing','Seo']
};

export const isError = Template.bind({});
isError.args = {
    error: 'Error',
    placeholder: 'Elegir categoria',
    categories: ['Desarrollo','Marketing','Seo']
};

export const isSuccess = Template.bind({});
isSuccess.args = {
    success: 'Success',
    placeholder: 'Select category',
    categories: ['Desarrollo','Marketing','Seo']
};
