import { ComponentStory, ComponentMeta } from '@storybook/react';
import { Textarea } from '../../../core/atoms';


export default {
    title: 'Atoms/Forms/Textarea',
    component: Textarea,
    argTypes: {
        error: { 
            description: 'This is a string attribute that turns the error effect on or off.'
        },
        success: { 
            description: 'This is a string attribute that turns the success effect on or off.'
        }
    },
} as ComponentMeta<typeof Textarea>;

const Template: ComponentStory<typeof Textarea> = (args) => <Textarea {...args}/>;

export const Standard = Template.bind({});
Standard.args = {
    placeholder: 'Lorem ipsum dolor sit, amet consectetur adipisicing elit. Voluptas rerum tenetur, hic sed illum, quidem eligendi quis a repellendus, autem tempore laborum quia iure ipsam exercitationem ad eaque quibusdam maxime?',
    rows: 10
};

export const isError = Template.bind({});
isError.args = {
    error: 'No es un formato valido',
    rows: 10,
    placeholder: 'Lorem ipsum dolor sit, amet consectetur adipisicing elit. Voluptas rerum tenetur, hic sed illum, quidem eligendi quis a repellendus, autem tempore laborum quia iure ipsam exercitationem ad eaque quibusdam maxime?'
};

export const isSuccess = Template.bind({});
isSuccess.args = {
    success: 'enviado correctamente',
    rows: 10,
    placeholder: 'Lorem ipsum dolor sit, amet consectetur adipisicing elit. Voluptas rerum tenetur, hic sed illum, quidem eligendi quis a repellendus, autem tempore laborum quia iure ipsam exercitationem ad eaque quibusdam maxime?'
};

