import { ComponentStory, ComponentMeta } from '@storybook/react';
import { AssociationCard } from '../../core/molecules/';


export default {
    title: 'Molecules/AssociationCard',
    component: AssociationCard,
    argTypes: {
        title: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        text: { 
            description: 'All content text in the card.'
        },
        buttonValue: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text in the button.'
        },
        btnOnClick: { 
            action: () => alert('Primary Button'),
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the button onClick event handler in the card.'
        }
    },
} as ComponentMeta<typeof AssociationCard>;

const Template: ComponentStory<typeof AssociationCard> = (args) => <AssociationCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    title: 'Asociación 1',
    text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis',
    buttonValue: 'Más información',
    btnOnClick: () => alert('Primary Button')
};