import { ComponentStory, ComponentMeta } from '@storybook/react';
import { DifferentiationCard } from '../../core/molecules/';
import star from '../assets/star-light.gif';


export default {
    title: 'Molecules/DifferentiationCard',
    component: DifferentiationCard,
    argTypes: {
        image: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the gif image in the card.'
        },
        title: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        text: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text in the card.'
        }
    },
} as ComponentMeta<typeof DifferentiationCard>;

const Template: ComponentStory<typeof DifferentiationCard> = (args) => <DifferentiationCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    image: star,
    title: 'Profesionales altamente calificados',
    text: 'Tu proyecto está en buenas manos! Todos nuestros profesionales están al tanto de las nuevas tecnologías e innovaciones.'
};