import { ComponentStory, ComponentMeta } from '@storybook/react';
import { DropdownFQA } from '../../core/molecules';


export default {
    title: 'Molecules/DropdownFQA',
    component: DropdownFQA,
    argTypes: {
        questions: { 
            description: 'This is an array of objects containing the name and content of each question.'
        }
    },
} as ComponentMeta<typeof DropdownFQA>;

const Template: ComponentStory<typeof DropdownFQA> = (args) => <DropdownFQA {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    questions: [
        {"name": "preg1", "content":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu."},
        {"name": "preg2", "content":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu."},
        {"name": "preg3", "content":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu."},
        {"name": "preg4", "content":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu."},
        {"name": "preg5", "content":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu."},
        {"name": "preg6", "content":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu."},
        {"name": "preg7", "content":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu."},
        {"name": "preg8", "content":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu."},
        {"name": "preg9", "content":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu."},
        {"name": "preg10", "content":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu."}
    ]
};