import { ComponentStory, ComponentMeta } from '@storybook/react';
import { HeadingVacancyCard } from '../../core/molecules';
import logo from '../assets/upway.svg';


export default {
    title: 'Molecules/HeadingVacancyCard',
    component: HeadingVacancyCard,
    argTypes: {
        image: { 
            control: 'text', type: { name: 'string', required: false },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the image in the card.'
        },
        position: { 
            control: 'text', type: { name: 'string', required: true },
            table: { tydefaultValuepe: { summary: 'string' } },
            description: 'This is the position in the card.'
        },
        btnValue: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the value of the button.'
        },
        btnOnClick: { 
            action: () => alert('Primary Button'),
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the button onClick event handler in the card.'
        } 
    },
} as ComponentMeta<typeof HeadingVacancyCard>;

const Template: ComponentStory<typeof HeadingVacancyCard> = (args) => <HeadingVacancyCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    image: logo,
    position: 'UX UI DESGINER',
    btnValue: 'Postularse',
    btnOnClick: () => alert('Event')
};