import { ComponentStory, ComponentMeta } from '@storybook/react';
import { OtherVacanciesCard } from '../../core/molecules/';


export default {
    title: 'Molecules/OtherVacanciesCard',
    component: OtherVacanciesCard,
    argTypes: {
        title: { 
            control: 'text', type: { name: 'string', required: false },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        otherVacancies: { 
            description: 'All content of vacancies in the card.'
        },
        btnValue: { 
            control: 'text', type: { name: 'string', required: false },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text in the button.'
        },
        btnOnClick: { 
            action: () => alert('Primary Button'),
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the button onClick event handler in the card.'
        }
    },
} as ComponentMeta<typeof OtherVacanciesCard>;

const Template: ComponentStory<typeof OtherVacanciesCard> = (args) => <OtherVacanciesCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    title: 'Otras vacantes',
    otherVacancies: [
        { id: '1', position: 'Community Manager /  Freelance', location: 'Remoto' }, 
        { id: '2', position: 'UX UI Sr / Freelance', location: 'Remoto' },
        { id: '3', position: 'Full Stack - React Native / Freelance', location: 'Remoto' }
    ],
    btnValue: 'Más información',
    btnOnClick: () => alert('Primary Button')
};