import { ComponentStory, ComponentMeta } from '@storybook/react';
import { ProjectCard } from '../../core/molecules';
import proyect from '../assets/proyect.png';


export default {
    title: 'Molecules/ProjectCard',
    component: ProjectCard,
    argTypes: {
        img: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the image in the card.'
        },
        title: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title of the proyect in the card.'
        }
    },
} as ComponentMeta<typeof ProjectCard>;

const Template: ComponentStory<typeof ProjectCard> = (args) => <ProjectCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    img: proyect,
    title: 'CyC Constructora'
};