import { ComponentStory, ComponentMeta } from '@storybook/react';
import { ServicesCard } from '../../core/molecules/';


export default {
    title: 'Molecules/ServicesCard',
    component: ServicesCard,
    argTypes: {
        plan: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        price: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the active position key in the card.'
        },
        advise: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the active position value in the card.'
        },
        quoteAdvise: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title active location key in the card.'
        },
        includeTitle: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title active location value in the card.'
        },
        include: { 
            description: 'This is the title active location value in the card.'
        },
        button: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title active location value in the card.'
        },
        btnOnClick: { 
            action: () => alert('Primary Button'),
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the button onClick event handler in the card.'
        }
    },
} as ComponentMeta<typeof ServicesCard>;

const Template: ComponentStory<typeof ServicesCard> = (args) => <ServicesCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    plan: 'Starter plan',
    price: '$500',
    advise: 'Pago unico',
    quoteAdvise: 'lorem ipsum descuento lorem ipsum descuento',
    includeTitle: 'Todo lo del Starter, más',
    include: ["Hosting","Diseño","desarrollo","Configuracion DNS","Todo lo starter y mas!"],
    button: 'Contratar',
    btnOnClick: () => alert('Primary Button')
};