import { ComponentStory, ComponentMeta } from '@storybook/react';
import { ShareCard } from '../../core/molecules';


export default {
    title: 'Molecules/ShareCard',
    component: ShareCard,
    argTypes: {
        title: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        }
    },
} as ComponentMeta<typeof ShareCard>;

const Template: ComponentStory<typeof ShareCard> = (args) => <ShareCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    title: 'Comparti esta vacante',
    social: [
        {name: 'twitter', to:' https://www.facebook.com', size: 45},
        {name: 'linkedin', to:' https://www.facebook.com', size: 45},
        {name: 'pinterest', to:' https://www.facebook.com', size: 45},
        {name: 'facebook', to:' https://www.facebook.com', size: 45},
        {name: 'whatsapp', to:' https://www.facebook.com', size: 45},
    ],
};