import { ComponentStory, ComponentMeta } from '@storybook/react';
import { SmallBlogCard } from '../../core/molecules';
import blog from '../assets/blog.svg';

export default {
    title: 'Molecules/SmallBlogCard',
    component: SmallBlogCard,
    argTypes: {
        title: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        date: { 
            description: 'Blog creation date.'
        },
        howLong: { 
            description: 'Reading time.'
        },
        content: { 
            description: 'Content summary.'
        },
        tags: { 
            description: 'Blog tags.'
        },
        img: { 
            description: 'Blog image.'
        },
        imgOnClick: { 
            action: () => alert('Primary Button'),
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the image onClick event handler in the card.'
        }
    },
} as ComponentMeta<typeof SmallBlogCard>;

const Template: ComponentStory<typeof SmallBlogCard> = (args) => <SmallBlogCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    title: 'Titulo Blog 1',
    date: '12 Dic. 2021',
    howLong: '12 mins',
    content: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris',
    tags: ['uxui', 'uxuidesign', 'diseñouxui'],
    img: blog,
    imgOnClick: () => alert('Primary Button')
};