import { ComponentStory, ComponentMeta } from '@storybook/react';
import { TeamCard } from '../../core/molecules';
import diego from '../assets/diego.jpg';


export default {
    title: 'Molecules/TeamCard',
    component: TeamCard,
    argTypes: {
        rol: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the role of the person in the card.'
        },
        image: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the image of the person in the card.'
        },
        name: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the name of the person in the card.'
        },
        profession: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the proffession of the person in the card.'
        },
        social: { 
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the social networks of the person in the card.'
        }
    },
} as ComponentMeta<typeof TeamCard>;

const Template: ComponentStory<typeof TeamCard> = (args) => <TeamCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    rol: 'Team Lead Devs',
    image: diego,
    name: 'Diego Javier Conchillo Wagner',
    profession: 'Software Engeneer / Full Stack Developer',
    social: [
        {name: 'linkedin', to:' https://www.facebook.com', size: 45},
        {name: 'instagram', to:' https://www.facebook.com', size: 45},
        {name: 'facebook', to:' https://www.facebook.com', size: 45}
    ],
};