import { ComponentStory, ComponentMeta } from '@storybook/react';
import { TestimonialCard } from '../../core/molecules/';
import image from '../assets/diego.jpg';
import quotes from '../assets/quotes.svg';

export default {
    title: 'Molecules/TestimonialCard',
    component: TestimonialCard,
    argTypes: {
        quotes:{
            control: 'text', type: { name: 'string', required: false },
            table: { defaultValue: { summary: './assets/testimonials/quotes.svg' } },
            description: 'These are the card quotes'
        },
        name: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the name in the card.'
        },
        photo: { 
            description: 'This is the photo in the card.'
        },
        text: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text in the card.'
        }
    },
} as ComponentMeta<typeof TestimonialCard>;

const Template: ComponentStory<typeof TestimonialCard> = (args) => <TestimonialCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    quotes: quotes,
    name: 'Diego Wagner',
    photo: image,
    text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas viverra sed suspendisse ac vitae mi augue odio dignissim. Velit pellentesque est morbi mauris aliquet at nullam sed. Id semper convallis turpis vel cras feugiat adipiscing. Donec sit elit libero orci. Pellentesque lectus rutrum cursus ut at faucibus felis sit ultrices. Habitasse donec libero nulla mi enim. Bibendum velit quam quis congue magna. Mauris, accumsan in cras eget.'
};