import { ComponentStory, ComponentMeta } from '@storybook/react';
import { UnderlineFilter } from '../../core/molecules';


export default {
    title: 'Molecules/UnderlineFilter',
    component: UnderlineFilter,
    argTypes: {
        titles: { 
            table: { defaultValue: { summary: 'string' } },
            description: 'These are the titles.'
        },
        setWhoIsActive:{ description: 'This is the state setter that can be sent to it to know which one is active using a setState.'}
    },
} as ComponentMeta<typeof UnderlineFilter>;

const Template: ComponentStory<typeof UnderlineFilter> = (args) => <UnderlineFilter {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    titles: ["Desarrollo web","Apps mobile","Diseño gráfico","Diseño UX-UI","Marketing","Redes sociales","SEO","Packs"],
};