import { ComponentStory, ComponentMeta } from '@storybook/react';
import { VVMCard } from '../../core/molecules';


export default {
    title: 'Molecules/VVMCard',
    component: VVMCard,
    argTypes: {
        data: { 
            description: 'Array of objects that contains the name of the category and its content array.'
        },
    },
} as ComponentMeta<typeof VVMCard>;

const Template: ComponentStory<typeof VVMCard> = (args) => <VVMCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    data: [
        {"name": "Valores", "content": ["Integridad y honestidad","Enfoque centrado en el cliente","Metodología ágil y adaptativa","Proceso de negocio transparente","Comunicación fluida","Honrando los compromisos","Enfoque abierto y flexible","Equipo apasionado y motivado"]},
        {"name": "Visión", "content": ["Ser una agencia reconicida a nivel mundial","Ser líderes en innovación y diseño","Ofrecer la mejor experiencia al usuario","Facilitar y aumentar las ventas a nuestros clientes","Dar tarifas competitivas a nuestros clientes","Honrando los compromisos","Enfoque abierto y flexible","Equipo apasionado y motivado"]},
        {"name": "Misión", "content": ["Nuestra mision es ser socios estrategicos de nuestros clientes. Estamos comprometidos a ser tus aliados y ayudarte a crecer. Queremos ser accesibles para todos.","Trabajamos desarrollando contenido personalizado, creativo, innovador y estrategico. Buscamos que todos nuestros socios puedan aprovechar las oportunidades del mundo digital. Nos esforzamos en ofrecer el mejor servicio del mercado a un precio accesible. Trabajamos con nuestros clientes para identificar y desarrollar todo el potencial de sus marcas, construyendo tambien relaciones de largo plazo."]}
    ]
};