import { ComponentStory, ComponentMeta } from '@storybook/react';
import { VacancyCard } from '../../core/molecules/';


export default {
    title: 'Molecules/VacancyCard',
    component: VacancyCard,
    argTypes: {
        title: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        positionKey: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the active position key in the card.'
        },
        positionValue: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the active position value in the card.'
        },
        locationKey: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title active location key in the card.'
        },
        locationValue: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title active location value in the card.'
        },
        btnValue: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the button text in the card.'
        },
        btnOnClick: { 
            action: () => alert('Primary Button'),
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the button onClick event handler in the card.'
        }
    },
} as ComponentMeta<typeof VacancyCard>;

const Template: ComponentStory<typeof VacancyCard> = (args) => <VacancyCard {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    title: 'Diseño UX UI',
    positionKey: 'Position',
    positionValue: 'Part - Time',
    locationKey: 'Location',
    locationValue: 'Bs As, Argentina',
    btnValue: 'Postularme',
    btnOnClick: () => alert('Primary Button')
};