import { ComponentStory, ComponentMeta } from '@storybook/react';
import { HowWeWork } from '../../core/organisms';
import work from '../assets/how-we-work.svg';


export default {
    title: 'Organisms/HowWeWork',
    component: HowWeWork,
    argTypes: {
        image: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the image in the section.'
        },
        content: { 
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text content in the section.'
        }
    },
} as ComponentMeta<typeof HowWeWork>;

const Template: ComponentStory<typeof HowWeWork> = (args) => <HowWeWork {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    image: work,
    content: [
        'Trabajamos con metodologias agiles, nos ceñimos a enfoques flexibles en nuestro flujo de trabajo y entregamos el trabajo en pequeñas etapas. Cada una se evalúa continuamente formando un mecanismo natural para adaptarse rápidamente en un entorno que cambia rápidamente.',
        'Cada problema es una tarea a resolver. Aplicamos un enfoque centrado en el ser humano para la resolución creativa de problemas a fin de reunir las necesidades de los clientes, las innovaciones tecnológicas y los objetivos comerciales.',
        'Primero reunimos los requisitos iniciales relevantes para cada etapa de desarrollo del producto. Luego en la etapa de diseño creamos tanto la arquitectura de la solución como el diseño visual para abordar los requisitos definidos.',
        'En la etapa de desarrollo convertimos las soluciones de diseño y los requisitos de software en un producto digital real. Luego examinamos el software para que esté libre de errores y sea compatible con soluciones desarrolladas previamente.',
        'En la etapa de deploy implementamos el software en los servidores para demostrar los resultados del proyecto al cliente.',
        'Finalmente, evaluamos el progreso del proyecto y tomamos decisiones sobre futuras iteraciones de desarrollo.'
    ]
};